/*
* Copyright © 2019-2022. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/
package com.tibco.accelerators.operators.file;

import java.beans.*;

import com.streambase.sb.operator.parameter.*;

public class FileDeleteOperatorBeanInfo extends SBSimpleBeanInfo {

	public SBPropertyDescriptor[] getPropertyDescriptorsChecked()
			throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("filename", FileDeleteOperator.class)
						.displayName("Filename")
						.description("")
						.optional()
						.setUIHints(
								UIHints.create().setTab("Operator Properties")),
				new SBPropertyDescriptor("synchronousDelete", FileDeleteOperator.class)
						.displayName("Synchronous Delete")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Operator Properties")),
				new SBPropertyDescriptor("passthroughFields", FileDeleteOperator.class)
						.displayName("Passthrough Fields")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Operator Properties")), };
		return p;
	}

}
