/*
* Copyright © 2019-2022. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/
package com.tibco.accelerators.operators.file;

import java.beans.*;

import com.streambase.sb.operator.parameter.*;

public class FileListOperatorBeanInfo extends SBSimpleBeanInfo {

	public SBPropertyDescriptor[] getPropertyDescriptorsChecked()
			throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("listPath", FileListOperator.class)
						.displayName("List Path")
						.description("")
						.optional()
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("searchSubDirs", FileListOperator.class)
						.displayName("Search Subdirectories")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("listFilter", FileListOperator.class)
						.displayName("List Filter")
						.description("")
						.optional()
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("oneTuplePerFile", FileListOperator.class)
						.displayName("One Tuple Per File")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("synchronousList", FileListOperator.class)
						.displayName("Synchronous List")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")),
				new SBPropertyDescriptor("passthroughFields", FileListOperator.class)
						.displayName("Passthrough Fields")
						.description("")
						.setUIHints(
								UIHints.create().setTab("Adapter Properties")), };
		return p;
	}

}
